# YafarayRenderer.properties 
# 
# Sweet Home 3D, Copyright (c) 2022 Emmanuel PUYBARET / eTeks <info@eteks.com>
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA

# Note to translators: do not localize this file

# Describes Yafaray photo renderer parameter values for the two qualities it can manage
# The value of these parameters can be overridden with System properties prefixed 
# by "com.eteks.sweethome3d.j3d.YafarayRenderer." string

# Low quality parameters
# Minimum antialiasing used to compute image
lowQuality.antiAliasingNormalLens.min=2
lowQuality.antiAliasingOtherLens.min=0
# Filter used to control oversampled image: "mitchell", "gauss", "lanczos" or "box" 
lowQuality.filter=box
# Global illumination algorithm: "directlighting", "pathtracing", "photonmapping"
lowQuality.lightingMethod=directlighting
# Maximum bounces done by light rays when global illumination "pathtracing" is used
# Increasing this value greatly slows down rendering process
lowQuality.diffusedBounces=1
# Caustics photons count, with 0 producing no caustics
# If different from 0, should be higher than 100000 to obtain some visible effect 
lowQuality.causticsPhotons=0
# Shader used to render shiny materials: "default", "glossy" or "silk"
# "default" uses silk shader at high quality level and in virtual view mode, glossy otherwise
lowQuality.shininessShader=default
# Focus distance in cm when depth of field is used
lowQuality.normalLens.focusDistance=250.
# Lens radius when depth of field is used 
# A bigger value produces a narrower depth of field 
lowQuality.normalLens.radius=1

# High quality parameters
highQuality.antiAliasingNormalLens.min=16
highQuality.antiAliasingOtherLens.min=8
highQuality.filter=gauss
highQuality.lightingMethod=directlighting
highQuality.diffusedBounces=1
highQuality.causticsPhotons=0
highQuality.shininessShader=default
highQuality.normalLens.focusDistance=250.
highQuality.normalLens.radius=1
